unit AuthAzureStorage;

interface

type

HCkString = Pointer;
HCkAuthAzureStorage = Pointer;


function CkAuthAzureStorage_Create: HCkAuthAzureStorage;  stdcall;
procedure CkAuthAzureStorage_Dispose(handle: HCkAuthAzureStorage); stdcall;
procedure CkAuthAzureStorage_getAccessKey(objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
procedure CkAuthAzureStorage_putAccessKey(objHandle: HCkAuthAzureStorage; newPropVal: PWideChar);
function CkAuthAzureStorage__accessKey(objHandle: HCkAuthAzureStorage): PWideChar;
procedure CkAuthAzureStorage_getAccount(objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
procedure CkAuthAzureStorage_putAccount(objHandle: HCkAuthAzureStorage; newPropVal: PWideChar);
function CkAuthAzureStorage__account(objHandle: HCkAuthAzureStorage): PWideChar;
procedure CkAuthAzureStorage_getDebugLogFilePath(objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
procedure CkAuthAzureStorage_putDebugLogFilePath(objHandle: HCkAuthAzureStorage; newPropVal: PWideChar);
function CkAuthAzureStorage__debugLogFilePath(objHandle: HCkAuthAzureStorage): PWideChar;
procedure CkAuthAzureStorage_getLastErrorHtml(objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
function CkAuthAzureStorage__lastErrorHtml(objHandle: HCkAuthAzureStorage): PWideChar;
procedure CkAuthAzureStorage_getLastErrorText(objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
function CkAuthAzureStorage__lastErrorText(objHandle: HCkAuthAzureStorage): PWideChar;
procedure CkAuthAzureStorage_getLastErrorXml(objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
function CkAuthAzureStorage__lastErrorXml(objHandle: HCkAuthAzureStorage): PWideChar;
function CkAuthAzureStorage_getLastMethodSuccess(objHandle: HCkAuthAzureStorage): wordbool;
procedure CkAuthAzureStorage_putLastMethodSuccess(objHandle: HCkAuthAzureStorage; newPropVal: wordbool);
procedure CkAuthAzureStorage_getScheme(objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
procedure CkAuthAzureStorage_putScheme(objHandle: HCkAuthAzureStorage; newPropVal: PWideChar);
function CkAuthAzureStorage__scheme(objHandle: HCkAuthAzureStorage): PWideChar;
procedure CkAuthAzureStorage_getService(objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
procedure CkAuthAzureStorage_putService(objHandle: HCkAuthAzureStorage; newPropVal: PWideChar);
function CkAuthAzureStorage__service(objHandle: HCkAuthAzureStorage): PWideChar;
function CkAuthAzureStorage_getVerboseLogging(objHandle: HCkAuthAzureStorage): wordbool;
procedure CkAuthAzureStorage_putVerboseLogging(objHandle: HCkAuthAzureStorage; newPropVal: wordbool);
procedure CkAuthAzureStorage_getVersion(objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
function CkAuthAzureStorage__version(objHandle: HCkAuthAzureStorage): PWideChar;
procedure CkAuthAzureStorage_getXMsVersion(objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
procedure CkAuthAzureStorage_putXMsVersion(objHandle: HCkAuthAzureStorage; newPropVal: PWideChar);
function CkAuthAzureStorage__xMsVersion(objHandle: HCkAuthAzureStorage): PWideChar;
procedure CkAuthAzureStorage_Noop(objHandle: HCkAuthAzureStorage);
implementation

      // Delphi7
{$IF Compilerversion = 15}
      uses Windows, SysUtils, ckDllLoader;
{$ELSE}
      uses Winapi.Windows, System.SysUtils, ckDllLoader;
{$IFEND}

Type
  TCkAuthAzureStorage_Create = function : HCkAuthAzureStorage; stdcall;
  TCkAuthAzureStorage_Dispose = procedure (handle: HCkAuthAzureStorage); stdcall;
  TCkAuthAzureStorage_getAccessKey = procedure (objHandle: HCkAuthAzureStorage; outPropVal: HCkString); stdcall;
  TCkAuthAzureStorage_putAccessKey = procedure (objHandle: HCkAuthAzureStorage; newPropVal: PWideChar); stdcall;
  TCkAuthAzureStorage__accessKey = function (objHandle: HCkAuthAzureStorage): PWideChar; stdcall;
  TCkAuthAzureStorage_getAccount = procedure (objHandle: HCkAuthAzureStorage; outPropVal: HCkString); stdcall;
  TCkAuthAzureStorage_putAccount = procedure (objHandle: HCkAuthAzureStorage; newPropVal: PWideChar); stdcall;
  TCkAuthAzureStorage__account = function (objHandle: HCkAuthAzureStorage): PWideChar; stdcall;
  TCkAuthAzureStorage_getDebugLogFilePath = procedure (objHandle: HCkAuthAzureStorage; outPropVal: HCkString); stdcall;
  TCkAuthAzureStorage_putDebugLogFilePath = procedure (objHandle: HCkAuthAzureStorage; newPropVal: PWideChar); stdcall;
  TCkAuthAzureStorage__debugLogFilePath = function (objHandle: HCkAuthAzureStorage): PWideChar; stdcall;
  TCkAuthAzureStorage_getLastErrorHtml = procedure (objHandle: HCkAuthAzureStorage; outPropVal: HCkString); stdcall;
  TCkAuthAzureStorage__lastErrorHtml = function (objHandle: HCkAuthAzureStorage): PWideChar; stdcall;
  TCkAuthAzureStorage_getLastErrorText = procedure (objHandle: HCkAuthAzureStorage; outPropVal: HCkString); stdcall;
  TCkAuthAzureStorage__lastErrorText = function (objHandle: HCkAuthAzureStorage): PWideChar; stdcall;
  TCkAuthAzureStorage_getLastErrorXml = procedure (objHandle: HCkAuthAzureStorage; outPropVal: HCkString); stdcall;
  TCkAuthAzureStorage__lastErrorXml = function (objHandle: HCkAuthAzureStorage): PWideChar; stdcall;
  TCkAuthAzureStorage_getLastMethodSuccess = function (objHandle: HCkAuthAzureStorage): wordbool; stdcall;
  TCkAuthAzureStorage_putLastMethodSuccess = procedure (objHandle: HCkAuthAzureStorage; newPropVal: wordbool); stdcall;
  TCkAuthAzureStorage_getScheme = procedure (objHandle: HCkAuthAzureStorage; outPropVal: HCkString); stdcall;
  TCkAuthAzureStorage_putScheme = procedure (objHandle: HCkAuthAzureStorage; newPropVal: PWideChar); stdcall;
  TCkAuthAzureStorage__scheme = function (objHandle: HCkAuthAzureStorage): PWideChar; stdcall;
  TCkAuthAzureStorage_getService = procedure (objHandle: HCkAuthAzureStorage; outPropVal: HCkString); stdcall;
  TCkAuthAzureStorage_putService = procedure (objHandle: HCkAuthAzureStorage; newPropVal: PWideChar); stdcall;
  TCkAuthAzureStorage__service = function (objHandle: HCkAuthAzureStorage): PWideChar; stdcall;
  TCkAuthAzureStorage_getVerboseLogging = function (objHandle: HCkAuthAzureStorage): wordbool; stdcall;
  TCkAuthAzureStorage_putVerboseLogging = procedure (objHandle: HCkAuthAzureStorage; newPropVal: wordbool); stdcall;
  TCkAuthAzureStorage_getVersion = procedure (objHandle: HCkAuthAzureStorage; outPropVal: HCkString); stdcall;
  TCkAuthAzureStorage__version = function (objHandle: HCkAuthAzureStorage): PWideChar; stdcall;
  TCkAuthAzureStorage_getXMsVersion = procedure (objHandle: HCkAuthAzureStorage; outPropVal: HCkString); stdcall;
  TCkAuthAzureStorage_putXMsVersion = procedure (objHandle: HCkAuthAzureStorage; newPropVal: PWideChar); stdcall;
  TCkAuthAzureStorage__xMsVersion = function (objHandle: HCkAuthAzureStorage): PWideChar; stdcall;
  TCkAuthAzureStorage_Noop = procedure (objHandle: HCkAuthAzureStorage); stdcall;

var
  _fkt_ptr_arr:   array [0..32] of Pointer;

function _Map( k:Integer; n:String):Pointer;
begin
  Result:=  _fkt_ptr_arr[k];
  if Result = nil then begin
    Chilkat_GetProcedureAddress(Result, n);
    _fkt_ptr_arr[k]:=   Result;
  end;
end;


function CkAuthAzureStorage_Create : HCkAuthAzureStorage;
begin
  result := TCkAuthAzureStorage_Create(_map(0, 'CkAuthAzureStorage_Create'));
end;

procedure CkAuthAzureStorage_Dispose (handle: HCkAuthAzureStorage);
begin
  TCkAuthAzureStorage_Dispose(_map(1, 'CkAuthAzureStorage_Dispose'))
    (handle);
end;


procedure CkAuthAzureStorage_getAccessKey (objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
begin
  TCkAuthAzureStorage_getAccessKey(_map(2, 'CkAuthAzureStorage_getAccessKey'))
    (objHandle, outPropVal);
end;

procedure CkAuthAzureStorage_putAccessKey (objHandle: HCkAuthAzureStorage; newPropVal: PWideChar);
begin
  TCkAuthAzureStorage_putAccessKey(_map(3, 'CkAuthAzureStorage_putAccessKey'))
    (objHandle, newPropVal);
end;

function CkAuthAzureStorage__accessKey (objHandle: HCkAuthAzureStorage): PWideChar;
begin
  result := TCkAuthAzureStorage__accessKey(_map(4, 'CkAuthAzureStorage__accessKey'))
    (objHandle);
end;

procedure CkAuthAzureStorage_getAccount (objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
begin
  TCkAuthAzureStorage_getAccount(_map(5, 'CkAuthAzureStorage_getAccount'))
    (objHandle, outPropVal);
end;

procedure CkAuthAzureStorage_putAccount (objHandle: HCkAuthAzureStorage; newPropVal: PWideChar);
begin
  TCkAuthAzureStorage_putAccount(_map(6, 'CkAuthAzureStorage_putAccount'))
    (objHandle, newPropVal);
end;

function CkAuthAzureStorage__account (objHandle: HCkAuthAzureStorage): PWideChar;
begin
  result := TCkAuthAzureStorage__account(_map(7, 'CkAuthAzureStorage__account'))
    (objHandle);
end;

procedure CkAuthAzureStorage_getDebugLogFilePath (objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
begin
  TCkAuthAzureStorage_getDebugLogFilePath(_map(8, 'CkAuthAzureStorage_getDebugLogFilePath'))
    (objHandle, outPropVal);
end;

procedure CkAuthAzureStorage_putDebugLogFilePath (objHandle: HCkAuthAzureStorage; newPropVal: PWideChar);
begin
  TCkAuthAzureStorage_putDebugLogFilePath(_map(9, 'CkAuthAzureStorage_putDebugLogFilePath'))
    (objHandle, newPropVal);
end;

function CkAuthAzureStorage__debugLogFilePath (objHandle: HCkAuthAzureStorage): PWideChar;
begin
  result := TCkAuthAzureStorage__debugLogFilePath(_map(10, 'CkAuthAzureStorage__debugLogFilePath'))
    (objHandle);
end;

procedure CkAuthAzureStorage_getLastErrorHtml (objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
begin
  TCkAuthAzureStorage_getLastErrorHtml(_map(11, 'CkAuthAzureStorage_getLastErrorHtml'))
    (objHandle, outPropVal);
end;

function CkAuthAzureStorage__lastErrorHtml (objHandle: HCkAuthAzureStorage): PWideChar;
begin
  result := TCkAuthAzureStorage__lastErrorHtml(_map(12, 'CkAuthAzureStorage__lastErrorHtml'))
    (objHandle);
end;

procedure CkAuthAzureStorage_getLastErrorText (objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
begin
  TCkAuthAzureStorage_getLastErrorText(_map(13, 'CkAuthAzureStorage_getLastErrorText'))
    (objHandle, outPropVal);
end;

function CkAuthAzureStorage__lastErrorText (objHandle: HCkAuthAzureStorage): PWideChar;
begin
  result := TCkAuthAzureStorage__lastErrorText(_map(14, 'CkAuthAzureStorage__lastErrorText'))
    (objHandle);
end;

procedure CkAuthAzureStorage_getLastErrorXml (objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
begin
  TCkAuthAzureStorage_getLastErrorXml(_map(15, 'CkAuthAzureStorage_getLastErrorXml'))
    (objHandle, outPropVal);
end;

function CkAuthAzureStorage__lastErrorXml (objHandle: HCkAuthAzureStorage): PWideChar;
begin
  result := TCkAuthAzureStorage__lastErrorXml(_map(16, 'CkAuthAzureStorage__lastErrorXml'))
    (objHandle);
end;

function CkAuthAzureStorage_getLastMethodSuccess (objHandle: HCkAuthAzureStorage): wordbool;
begin
    result := TCkAuthAzureStorage_getLastMethodSuccess(_map(17, 'CkAuthAzureStorage_getLastMethodSuccess'))
    (objHandle);
end;

procedure CkAuthAzureStorage_putLastMethodSuccess (objHandle: HCkAuthAzureStorage; newPropVal: wordbool);
begin
  TCkAuthAzureStorage_putLastMethodSuccess(_map(18, 'CkAuthAzureStorage_putLastMethodSuccess'))
    (objHandle, newPropVal);
end;

procedure CkAuthAzureStorage_getScheme (objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
begin
  TCkAuthAzureStorage_getScheme(_map(19, 'CkAuthAzureStorage_getScheme'))
    (objHandle, outPropVal);
end;

procedure CkAuthAzureStorage_putScheme (objHandle: HCkAuthAzureStorage; newPropVal: PWideChar);
begin
  TCkAuthAzureStorage_putScheme(_map(20, 'CkAuthAzureStorage_putScheme'))
    (objHandle, newPropVal);
end;

function CkAuthAzureStorage__scheme (objHandle: HCkAuthAzureStorage): PWideChar;
begin
  result := TCkAuthAzureStorage__scheme(_map(21, 'CkAuthAzureStorage__scheme'))
    (objHandle);
end;

procedure CkAuthAzureStorage_getService (objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
begin
  TCkAuthAzureStorage_getService(_map(22, 'CkAuthAzureStorage_getService'))
    (objHandle, outPropVal);
end;

procedure CkAuthAzureStorage_putService (objHandle: HCkAuthAzureStorage; newPropVal: PWideChar);
begin
  TCkAuthAzureStorage_putService(_map(23, 'CkAuthAzureStorage_putService'))
    (objHandle, newPropVal);
end;

function CkAuthAzureStorage__service (objHandle: HCkAuthAzureStorage): PWideChar;
begin
  result := TCkAuthAzureStorage__service(_map(24, 'CkAuthAzureStorage__service'))
    (objHandle);
end;

function CkAuthAzureStorage_getVerboseLogging (objHandle: HCkAuthAzureStorage): wordbool;
begin
    result := TCkAuthAzureStorage_getVerboseLogging(_map(25, 'CkAuthAzureStorage_getVerboseLogging'))
    (objHandle);
end;

procedure CkAuthAzureStorage_putVerboseLogging (objHandle: HCkAuthAzureStorage; newPropVal: wordbool);
begin
  TCkAuthAzureStorage_putVerboseLogging(_map(26, 'CkAuthAzureStorage_putVerboseLogging'))
    (objHandle, newPropVal);
end;

procedure CkAuthAzureStorage_getVersion (objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
begin
  TCkAuthAzureStorage_getVersion(_map(27, 'CkAuthAzureStorage_getVersion'))
    (objHandle, outPropVal);
end;

function CkAuthAzureStorage__version (objHandle: HCkAuthAzureStorage): PWideChar;
begin
  result := TCkAuthAzureStorage__version(_map(28, 'CkAuthAzureStorage__version'))
    (objHandle);
end;

procedure CkAuthAzureStorage_getXMsVersion (objHandle: HCkAuthAzureStorage; outPropVal: HCkString);
begin
  TCkAuthAzureStorage_getXMsVersion(_map(29, 'CkAuthAzureStorage_getXMsVersion'))
    (objHandle, outPropVal);
end;

procedure CkAuthAzureStorage_putXMsVersion (objHandle: HCkAuthAzureStorage; newPropVal: PWideChar);
begin
  TCkAuthAzureStorage_putXMsVersion(_map(30, 'CkAuthAzureStorage_putXMsVersion'))
    (objHandle, newPropVal);
end;

function CkAuthAzureStorage__xMsVersion (objHandle: HCkAuthAzureStorage): PWideChar;
begin
  result := TCkAuthAzureStorage__xMsVersion(_map(31, 'CkAuthAzureStorage__xMsVersion'))
    (objHandle);
end;

procedure CkAuthAzureStorage_Noop (objHandle: HCkAuthAzureStorage);
begin
  TCkAuthAzureStorage_Noop(_map(32, 'CkAuthAzureStorage_Noop'))
    (objHandle);
end;

end.
